Bug 43659 - Installer hangs when sym58c8xx driver loading for Tekram DC-390U3W
Summary: Installer hangs when sym58c8xx driver loading for Tekram DC-390U3W
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.1
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-06 01:49 UTC by rruth
Modified: 2007-04-18 16:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-06-10 20:19:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:084 normal SHIPPED_LIVE Kernel: Kernel: 2001-06-21 04:00:00 UTC

Description rruth 2001-06-06 01:49:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.5 i686)

Description of problem:
I can not install Red Hat 7.1 on a new system with a Tekram DC-390U3W SCSI
adaptor.  My system boots off of the Red Hat 7.1 CDROM (SCSI CDROM drive
attached to the DC-390U3W).  After the initial Red Hat screens, Red Hat
attempts to load the sym58c8xx SCSI module and then hangs.  The two SCSI
hard drives activity LEDs flash about every second, for ever.

I have also tried makeing a disk drive driver diskette from the image file
from the  RH 7.1 CDROM #1.  This lets me "choose" what driver I want.  The
ncr58c8xx did not work. (This was expected because the kernel driver
README  says that only the 'enhanced' driver supports the chipset in the
DC-390U3W and the 'enhanced' driver is the sym58c8xx.)  Selecting the
sym58c8xx hangs the system as before.

How reproducible:
Always

Steps to Reproduce:
1. Try to install Red Hat 7.1 on a SCSI system with Tekram DC-390U3W SCSI
adaptor.
2.
3.
	

Actual Results:  System hangs after stating that it is loading the
sym58c8xx driver.

Expected Results:  Continue with install of Red Hat 7.1

Additional info:

Comment 1 Brent Fox 2001-06-10 14:58:44 UTC
Sounds like a driver problem to me.  The installer loads the module and then the
system hangs.  Changing component.

Comment 2 Arjan van de Ven 2001-06-10 15:33:25 UTC
Could you try the updated driverdisks at

http://people.redhat.com/arjanv/rhl71/ncrsym/

please ?

Comment 3 rruth 2001-06-10 20:05:56 UTC
Work around:

It is not obvious, but here is how to get Red Hat 7.1 installed on a SCSI 
system based on the Tekram DC-390U3W adapter:

1. get Rhboot70.zip, Rhkern70.zip and readme.txt from ftp.tekram.com
   (yes, get the Red Hat 7.0 stuff, because Tekram doesn't have 7.1 installer)

2. follow the readme instructions, except use the RH 7.1 CDROMS instead of 7.0.

3. when finish you will have a bootable 7.1 system with the RH 7.0 kernel 
(yes, you are running 7.1 with a 2.2 kernel -- no modules won't work and you 
will see a few errors when booting)

4. get networking running and get kernel 2.4.5 source
   ( I don't think any kernel prior to 2.4.4 will work because there are many 
differences in sym58c8xx.c compared to 2.4.4 and 2.4.5)

5. configue kernel with sym58c8xx SCSI module compiled in

6. Now you have RH 7.1 with a 2.4 kernel

Richard

Comment 4 rruth 2001-06-10 20:19:55 UTC
Could you try the updated driverdisks at

http://people.redhat.com/arjanv/rhl71/ncrsym/



YES, at least the new i686 driver diskette lets you start an install.
(This is MUCH better than the Tekram RH 7.0 install that I used above)

Richard

Comment 5 Arjan van de Ven 2001-06-11 14:57:49 UTC
That's why I made the driverdisk ;)

I'll close this as "fixed in rawhide"; newer kernels there and the driverdisk
are indeed a fix for this. If you do have the same problem with this card, feel
free to reopen this bug.


Note You need to log in before you can comment on or make changes to this bug.